# Visualization
TKV2d
V2d

# V2d_CircularGrid Class Reference

`#include <V2d_CircularGrid.hxx>`

Inheritance diagram for V2d_CircularGrid:

[legend]

## Public Member Functions

Standard_EXPORT | V2d_CircularGrid (const V2d_ViewerPointer &aViewer, const Standard_Integer aColorIndex1, const Standard_Integer aColorIndex2)
Standard_EXPORT void | SetColorIndices (const Standard_Integer aColorIndex1, const Standard_Integer aColorIndex2)
Standard_EXPORT void | Display ()
| Display the grid at screen. .
Standard_EXPORT void | Erase () const
| Erase the grid from screen. .
Standard_EXPORT Standard_Boolean | IsDisplayed () const
| Returns TRUE when the grid is displayed at screen. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | UpdateDisplay ()
| Updates the grid parameters. .

## Private Attributes

V2d_ViewerPointer | myViewer
Handle_Graphic2d_GraphicObject | myGraphicObject
Standard_Integer | myColorIndex1
Standard_Integer | myColorIndex2
Handle_V2d_CircularGraphicGrid | myGrid

## Constructor & Destructor Documentation

Standard_EXPORT V2d_CircularGrid::V2d_CircularGrid | ( | const V2d_ViewerPointer & | aViewer,
|  | const Standard_Integer | aColorIndex1,
|  | const Standard_Integer | aColorIndex2
| ) |

## Member Function Documentation

Standard_EXPORT void V2d_CircularGrid::Display | ( |  | ) | `[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V2d_CircularGrid::Erase | ( |  | ) | const`[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT const V2d_CircularGrid::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_CircularGrid.

Standard_EXPORT Standard_Boolean V2d_CircularGrid::IsDisplayed | ( |  | ) | const`[virtual]`

| Reimplemented from Aspect_Grid.

Standard_EXPORT void V2d_CircularGrid::SetColorIndices | ( | const Standard_Integer | aColorIndex1,
|  | const Standard_Integer | aColorIndex2
| ) |

Standard_EXPORT void V2d_CircularGrid::UpdateDisplay | ( |  | ) | `[protected, virtual]`

| Reimplemented from Aspect_Grid.

## Field Documentation

Standard_Integer V2d_CircularGrid::myColorIndex1 `[private]`

Standard_Integer V2d_CircularGrid::myColorIndex2 `[private]`

Handle_Graphic2d_GraphicObject V2d_CircularGrid::myGraphicObject `[private]`

Handle_V2d_CircularGraphicGrid V2d_CircularGrid::myGrid `[private]`

V2d_ViewerPointer V2d_CircularGrid::myViewer `[private]`

The documentation for this class was generated from the following file:

- V2d_CircularGrid.hxx